import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { UploadServiceConfig } from './../model/upload.service.config';
import { FileUploadRequest } from './../model/file-upload-request';
import { DatabaseFileInfo } from './../model/database-file-info';
import { FilesystemFileInfo } from './../model/filesystem-file-info';
export declare class UploadService {
    private http;
    private uploadApiUrl;
    private uploadPath;
    dbAppId: string;
    externalReferenceId: string;
    comment: string;
    uploadButtonText: string;
    uploadDialogTitle: string;
    uploadDialogAddFilesButtonText: string;
    uploadDialogCancelButtonText: string;
    uploadDialogUploadButtonText: string;
    uploadDialogFinishButtonText: string;
    constructor(http: HttpClient, config: UploadServiceConfig);
    upload(files: Set<File>): {
        [key: string]: Observable<number>;
    };
    exists(fileName: string): Observable<boolean>;
    download(request: FileUploadRequest): Observable<Blob>;
    getUploadInfo(request: FileUploadRequest): Observable<DatabaseFileInfo | DatabaseFileInfo[] | FilesystemFileInfo | FilesystemFileInfo[]>;
}
