import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SharePointServiceConfig } from './../model/sharepoint.service.config';
import { SharePointList } from './../model/sharepoint-list';
import { SharePointListItem } from './../model/sharepoint-list-item';
import { SharePointEmployeePicture } from './../model/sharepoint-employee-picture';
import { SharePointCustomerVisit } from './../model/sharepoint-customer-visit';
import { SharePointPerson } from './../model/sharepoint-person';
export declare class SharePointService {
    private config;
    private http;
    people: SharePointPerson[];
    photos: SharePointEmployeePicture[];
    constructor(config: SharePointServiceConfig, http: HttpClient);
    getListItems(list: SharePointList): Observable<SharePointListItem[]>;
    getListItemsSimple(list: string, view: string, site?: string, limit?: string): Observable<SharePointListItem[]>;
    getPeople(storePeople?: boolean): Observable<SharePointPerson[]>;
    getPhotos(storePhotos?: boolean): Observable<SharePointEmployeePicture[]>;
    getCustomerVisits(): Observable<SharePointCustomerVisit[]>;
}
